Intermittent TEST-UNEXPECTED-PASS | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html | An asynchronously loaded classic script with noModule set to true must not run - expected FAIL

RESOLVED FIXED in Firefox 54

Status

()

RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: intermittent-bug-filer, Assigned: jmaher)

Tracking

({intermittent-failure})

unspecified
mozilla55
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment, 2 obsolete attachments)

30 failures in 790 pushes (0.038 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 14
* mozilla-inbound: 11
* oak: 2
* try: 1
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* windows8-64: 9
* osx-10-10: 8
* windows7-32-vm: 6
* linux32: 5
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344486&startday=2017-03-06&endday=2017-03-12&tree=all
(Assignee)

Comment 2

2 years ago
ni myself to triage this bug and find a proper component.
Flags: needinfo?(jmaher)
(Assignee)

Updated

2 years ago
Whiteboard: [stockwell needswork]
(Assignee)

Comment 3

2 years ago
19:21:09     INFO - TEST-START | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html
19:21:10     INFO - PROCESS | 3928 | ++DOCSHELL 000000EA7079B000 == 5 [pid = 428] [id = {f2b7d09d-efa4-4bc2-95ea-de9940eae399}]
19:21:10     INFO - PROCESS | 3928 | ++DOMWINDOW == 22 (000000EA707AB000) [pid = 428] [serial = 1273] [outer = 0000000000000000]
19:21:10     INFO - PROCESS | 3928 | [Parent 3928] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:10     INFO - PROCESS | 3928 | ++DOMWINDOW == 23 (000000EA70A24000) [pid = 428] [serial = 1274] [outer = 000000EA707AB000]
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:10     INFO - PROCESS | 3928 | [Child 428] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:10     INFO - PROCESS | 3928 | ++DOMWINDOW == 24 (000000EA70F7B000) [pid = 428] [serial = 1275] [outer = 000000EA707AB000]
19:21:10     INFO - 
19:21:10     INFO - TEST-PASS | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html | An asynchronously loaded classic script with noModule set to false must run 
19:21:10     INFO - TEST-UNEXPECTED-PASS | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html | An asynchronously loaded classic script with noModule set to true must not run - expected FAIL
19:21:10     INFO - TEST-INFO | expected FAIL
19:21:10     INFO - TEST-OK | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html | took 924ms
19:21:10  WARNING - u'runner_teardown' ()
19:21:11     INFO - Setting up ssl
19:21:11     INFO - PROCESS | certutil | 
19:21:11     INFO - PROCESS | certutil | 
19:21:11     INFO - PROCESS | certutil | 
19:21:11     INFO - Certificate Nickname                                         Trust Attributes
19:21:11     INFO -                                                              SSL,S/MIME,JAR/XPI
19:21:11     INFO - 
19:21:11     INFO - web-platform-tests                                           CT,, 
19:21:11     INFO - 
19:21:13     INFO - Application command: C:\slave\test\build\application\firefox\firefox.exe -marionette about:blank -profile c:\users\cltbld~1.t-w\appdata\local\temp\tmplzpl3i.mozrunner
19:21:13     INFO - Starting runner
19:21:13     INFO - PROCESS | 1672 | [1672] WARNING: Failed to load startupcache file correctly, removing!: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/startupcache/StartupCache.cpp, line 218
19:21:13     INFO - PROCESS | 1672 | [1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 117
19:21:13     INFO - PROCESS | 1672 | [1672] WARNING: This method is lossy. Use GetCanonicalPath !: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/io/nsLocalFileWin.cpp, line 3572
19:21:15     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD4745C000 == 1 [pid = 1672] [id = {86a4e7db-48af-4e9a-b3d7-3b7ae0d5940a}]
19:21:15     INFO - PROCESS | 1672 | ++DOMWINDOW == 1 (000000CD4745C800) [pid = 1672] [serial = 1] [outer = 0000000000000000]
19:21:15     INFO - PROCESS | 1672 | ++DOMWINDOW == 2 (000000CD4745D800) [pid = 1672] [serial = 2] [outer = 000000CD4745C800]
19:21:15     INFO - PROCESS | 1672 | [GPU 952] WARNING: '!compMgr', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/components/nsComponentManagerUtils.cpp, line 63
19:21:15     INFO - PROCESS | 1672 | [GPU 952] WARNING: NS_ENSURE_TRUE(InitStaticMembers()) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/modules/libpref/Preferences.cpp, line 1648
19:21:15     INFO - PROCESS | 1672 | [GPU 952] WARNING: NS_ENSURE_TRUE(InitStaticMembers()) failed: file c:\builds\moz2_slave\m-in-w64-d-0000000000000000000\build\src\obj-firefox\dist\include\mozilla/Preferences.h, line 104
19:21:15     INFO - PROCESS | 1672 | [GPU 952] WARNING: NS_ENSURE_TRUE(InitStaticMembers()) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/modules/libpref/Preferences.cpp, line 1416
19:21:15     INFO - PROCESS | 1672 | [GPU 952] WARNING: NS_ENSURE_TRUE(InitStaticMembers()) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/modules/libpref/Preferences.cpp, line 1425
19:21:16     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD48E51000 == 2 [pid = 1672] [id = {c0bca8ab-5fbe-43f7-b321-7c2a882b716c}]
19:21:16     INFO - PROCESS | 1672 | ++DOMWINDOW == 3 (000000CD48E51800) [pid = 1672] [serial = 3] [outer = 0000000000000000]
19:21:16     INFO - PROCESS | 1672 | ++DOMWINDOW == 4 (000000CD48E52800) [pid = 1672] [serial = 4] [outer = 000000CD48E51800]
19:21:16     INFO - PROCESS | 1672 | 1488943276312	Marionette	INFO	Listening on port 2829
19:21:17     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD4645F000 == 3 [pid = 1672] [id = {6ae76a5a-c595-4b9f-bef6-3aa6342a6cdc}]
19:21:17     INFO - PROCESS | 1672 | ++DOMWINDOW == 5 (000000CD4645F800) [pid = 1672] [serial = 5] [outer = 0000000000000000]
19:21:17     INFO - PROCESS | 1672 | ++DOMWINDOW == 6 (000000CD46460800) [pid = 1672] [serial = 6] [outer = 000000CD4645F800]
19:21:18     INFO - PROCESS | 1672 | ++DOMWINDOW == 7 (000000CD464B4000) [pid = 1672] [serial = 7] [outer = 000000CD48E51800]
19:21:18     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:18     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!compMgr', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/components/nsComponentManagerUtils.cpp, line 63
19:21:18     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/toolkit/xre/nsXREDirProvider.cpp, line 1699
19:21:18     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 117
19:21:18     INFO - PROCESS | 1672 | [Parent 1672] WARNING: attempt to modify an immutable nsStandardURL: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/netwerk/base/nsStandardURL.cpp, line 1641
19:21:18     INFO - PROCESS | 1672 | [Parent 1672] WARNING: attempt to modify an immutable nsStandardURL: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/netwerk/base/nsStandardURL.cpp, line 1641
19:21:18     INFO - PROCESS | 1672 | [Parent 1672] WARNING: Failed to retarget HTML data delivery to the parser thread.: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/parser/html/nsHtml5StreamParser.cpp, line 988
19:21:19     INFO - PROCESS | 1672 | ++DOCSHELL 0000007271A06800 == 1 [pid = 2560] [id = {6180aee4-918c-4725-bfad-6eba909c9d00}]
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 1 (0000007271A07000) [pid = 2560] [serial = 1] [outer = 0000000000000000]
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 2 (0000007278329000) [pid = 2560] [serial = 2] [outer = 0000007271A07000]
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 3 (000000727833B000) [pid = 2560] [serial = 3] [outer = 0000007271A07000]
19:21:19     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD4F684000 == 4 [pid = 1672] [id = {2e3c24d3-487f-4daf-a68a-fc211d1162c8}]
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 8 (000000CD4F684800) [pid = 1672] [serial = 8] [outer = 0000000000000000]
19:21:19     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD4F686000 == 5 [pid = 1672] [id = {e3269fb4-902c-48a9-be9a-f38eaff0ce90}]
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 9 (000000CD4F686800) [pid = 1672] [serial = 9] [outer = 0000000000000000]
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 620
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 620
19:21:19     INFO - PROCESS | 1672 | [GPU 952] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [GPU 952] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [GPU 952] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [GPU 952] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [GPU 952] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThread.cpp, line 1009
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
19:21:19     INFO - PROCESS | 1672 | --DOCSHELL 0000007271A06800 == 0 [pid = 2560] [id = {6180aee4-918c-4725-bfad-6eba909c9d00}]
19:21:19     INFO - PROCESS | 1672 | --DOMWINDOW == 2 (0000007271A07000) [pid = 2560] [serial = 1] [outer = 0000000000000000] [url = chrome://gfxsanity/content/sanitytest.html]
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | --DOMWINDOW == 1 (0000007278329000) [pid = 2560] [serial = 2] [outer = 0000000000000000] [url = about:blank]
19:21:19     INFO - PROCESS | 1672 | --DOMWINDOW == 0 (000000727833B000) [pid = 2560] [serial = 3] [outer = 0000000000000000] [url = chrome://gfxsanity/content/sanitytest.html]
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!compMgr', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/components/nsComponentManagerUtils.cpp, line 63
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | [Child 2560] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 314
19:21:19     INFO - PROCESS | 1672 | nsStringStats
19:21:19     INFO - PROCESS | 1672 |  => mAllocCount:          14842
19:21:19     INFO - PROCESS | 1672 |  => mReallocCount:          247
19:21:19     INFO - PROCESS | 1672 |  => mFreeCount:           14842
19:21:19     INFO - PROCESS | 1672 |  => mShareCount:          11533
19:21:19     INFO - PROCESS | 1672 |  => mAdoptCount:           1163
19:21:19     INFO - PROCESS | 1672 |  => mAdoptFreeCount:       1163
19:21:19     INFO - PROCESS | 1672 |  => Process ID: 2560, Thread ID: 3176
19:21:19     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD4F918800 == 6 [pid = 1672] [id = {72ce5c16-cb72-4da2-9e99-6d86dc3b4860}]
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 10 (000000CD4F919000) [pid = 1672] [serial = 10] [outer = 0000000000000000]
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | ++DOMWINDOW == 11 (000000CD4FC6A000) [pid = 1672] [serial = 11] [outer = 000000CD4F919000]
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:19     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/BasePrincipal.cpp, line 302
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsExpandedPrincipal.cpp, line 95
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:20     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:20     INFO - PROCESS | 1672 | [Child 3148] WARNING: '!compMgr', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/components/nsComponentManagerUtils.cpp, line 63
19:21:20     INFO - PROCESS | 1672 | ++DOMWINDOW == 12 (000000CD4FF1E000) [pid = 1672] [serial = 12] [outer = 000000CD4F684800]
19:21:20     INFO - PROCESS | 1672 | ++DOMWINDOW == 13 (000000CD4FF21000) [pid = 1672] [serial = 13] [outer = 000000CD4F686800]
19:21:20     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/toolkit/xre/nsXREDirProvider.cpp, line 1699
19:21:20     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 117
19:21:21     INFO - PROCESS | 1672 | ++DOCSHELL 000000BE52D06800 == 1 [pid = 3148] [id = {7ec638a1-ec96-444d-a88b-43a022f324c3}]
19:21:21     INFO - PROCESS | 1672 | ++DOMWINDOW == 1 (000000BE52D07000) [pid = 3148] [serial = 1] [outer = 0000000000000000]
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:21     INFO - PROCESS | 1672 | ++DOMWINDOW == 2 (000000BE59669800) [pid = 3148] [serial = 2] [outer = 000000BE52D07000]
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:21     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:21     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | ++DOMWINDOW == 3 (000000BE5A66C000) [pid = 3148] [serial = 3] [outer = 000000BE52D07000]
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/BasePrincipal.cpp, line 302
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(rv)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/dom/workers/ServiceWorkerManager.cpp, line 1976
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:22     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/BasePrincipal.cpp, line 302
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsExpandedPrincipal.cpp, line 95
19:21:22     INFO - PROCESS | 1672 | [Child 3148] WARNING: site security information will not be persisted: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/security/manager/ssl/nsSiteSecurityService.cpp, line 400
19:21:22     INFO - PROCESS | 1672 | [Parent 1672] WARNING: Could not get disk status from nsIDiskSpaceWatcher: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/uriloader/prefetch/nsOfflineCacheUpdateService.cpp, line 284
19:21:22     INFO - PROCESS | 1672 | ++DOMWINDOW == 4 (000000BE5A684000) [pid = 3148] [serial = 4] [outer = 000000BE52D07000]
19:21:23     INFO - TEST-START | /html/semantics/scripting-1/the-script-element/nomodule-set-on-external-module-script.html
19:21:23     INFO - PROCESS | 1672 | ++DOCSHELL 000000BE5C7C7000 == 2 [pid = 3148] [id = {dbb3aebb-cf2e-4b35-8b8d-355d522f047d}]
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 5 (000000BE5C7C7800) [pid = 3148] [serial = 5] [outer = 0000000000000000]
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 6 (000000BE5CA66800) [pid = 3148] [serial = 6] [outer = 000000BE5C7C7800]
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Child 3148] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 7 (000000BE5CA69000) [pid = 3148] [serial = 7] [outer = 000000BE5C7C7800]
19:21:23     INFO - PROCESS | 1672 | ++DOCSHELL 000000CD53BBD800 == 7 [pid = 1672] [id = {3707dbc7-bfc3-4d8e-95e6-8e8bc5ab23ea}]
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 14 (000000CD53BBE000) [pid = 1672] [serial = 14] [outer = 0000000000000000]
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 15 (000000CD53BCF800) [pid = 1672] [serial = 15] [outer = 000000CD53BBE000]
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_TRUE(standardURL) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/caps/nsPrincipal.cpp, line 229
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(aResult)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
19:21:23     INFO - PROCESS | 1672 | ++DOMWINDOW == 16 (000000CD54560000) [pid = 1672] [serial = 16] [outer = 000000CD53BBE000]
19:21:23     INFO - PROCESS | 1672 | [Parent 1672] WARNING: 'NS_FAILED(rv)', file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/dom/xhr/XMLHttpRequestMainThread.cpp, line 2000
19:21:24     INFO - PROCESS | 1672 | [Child 3148] WARNING: NS_ENSURE_TRUE(ParseTypeAttribute(type, &version)) failed: file c:/builds/moz2_slave/m-in-w64-d-0000000000000000000/build/src/dom/base/nsScriptLoader.cpp, line 1484
19:21:24     INFO - .
19:21:24     INFO - TEST-OK | /html/semantics/scripting-1/the-script-element/nomodule-set-on-external-module-script.html | took 984ms
(Assignee)

Comment 4

2 years ago
this falls in a smaller range here:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=win%20x64%20web-platform-tests-e10s-1%20debug&tochange=c16695dbf5f01d02af35ad664ae819aa5ce532f4&fromchange=fed3397d5988bc178b1fe865297f2d2a25c11e13

I strongly suspect bug 1345261 (although there is a chance it could be something else, that chance gets smaller and smaller).

I still am not sure what bugzilla component to put this in- once I catch up on triaging bugs I will ensure finishing moz.build work for web-platform-tets is next on my list.
Flags: needinfo?(jmaher) → needinfo?(efaustbmo)
(Assignee)

Comment 6

2 years ago
and I was wrong, more retriggers:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=win%20x64%20web-platform-tests-e10s-1%20debug&tochange=c16695dbf5f01d02af35ad664ae819aa5ce532f4&fromchange=fed3397d5988bc178b1fe865297f2d2a25c11e13

show it was the previous commit (bug 1340161).  Sorry for jumping the gun here :(

:njn, I see you as the patch author, possibly you can take a look at this in the next day or two?
Blocks: 1340161
Flags: needinfo?(efaustbmo) → needinfo?(n.nethercote)
At first glance it's surprising that bug 1340161 would have caused this, it seems entirely unrelated. But I'll take a look now.
Flags: needinfo?(n.nethercote)
(In reply to Joel Maher ( :jmaher) from comment #6)
> and I was wrong, more retriggers:
> https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-
> searchStr=win%20x64%20web-platform-tests-e10s-
> 1%20debug&tochange=c16695dbf5f01d02af35ad664ae819aa5ce532f4&fromchange=fed339
> 7d5988bc178b1fe865297f2d2a25c11e13
> 
> show it was the previous commit (bug 1340161).  Sorry for jumping the gun
> here :(

I did a bunch more retriggers on my revision and the previous one:

- Previous: 1 failure out of 46

- Mine: 4 failures out of 33

I'm not quite sure what to make of this. My patch didn't invent this failure, though it does somehow increased the frequency even though it seems entirely unrelated.

jmaher, any thoughts?
Flags: needinfo?(jmaher)
(Assignee)

Comment 9

2 years ago
I wonder if there is a build difference between the previous and your push.  The previous push is a merge, so suspect for a lot of changes.

lets goes down a few more revisions:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=win%20x64%20web-platform-tests-e10s-1%20debug&tochange=c16695dbf5f01d02af35ad664ae819aa5ce532f4&fromchange=cfe4b63ed4f7486877d268e1d78325c11e0eaa2a&selectedJob=82298196

leaving ni? until we have more data from previous revisions.
(Assignee)

Comment 10

2 years ago
this seems to be oddly build specific, going further back bug 1331434 seems to be a problem as well, yet the pushes prior to it don't seem to be showing many failures.

I suspect we need to look at the test, not the root cause here.

:jgraham, can you help me figure out which component we should put this failure in?
Flags: needinfo?(jmaher) → needinfo?(james)
Component: web-platform-tests → DOM
Depends on: 1330900
Flags: needinfo?(james)
Product: Testing → Core
Version: Version 3 → unspecified
At a glance the test looks a lot like something that will be flaky due to timing.
(Assignee)

Comment 12

2 years ago
:overholt, I keep bugging you, but hopefully not much more today- could you help find someone to look into this test so we can get a fix for this test?
Flags: needinfo?(overholt)
(Assignee)

Comment 13

2 years ago
and more retriggers and I see this as related to bug 1335751, I know there are a small number of regressions related to bug 1335751 and some work is being done to reduce these for Android, this is a case of windows 8-debug, possibly we need to adjust some timing in the test, or reduce the gc work?
Blocks: 1335751
If this is affected by bug 1335751, I would take that as more evidence that this is a buggy timing-related test.
46 failures in 777 pushes (0.059 failures/push) were associated with this bug in the last 7 days. 

This is the #30 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 18
* mozilla-inbound: 15
* oak: 4
* graphics: 4
* try: 3
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 19
* windows8-64: 14
* windows7-32-vm: 10
* linux64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344486&startday=2017-03-13&endday=2017-03-19&tree=all
If it's a buggy test, should we ask rniwa (who wrote the test in https://github.com/w3c/web-platform-tests/pull/4611)? Sorry, I don't know what we normally do in these cases.
Flags: needinfo?(overholt) → needinfo?(jmaher)
22 failures in 898 pushes (0.024 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 11
* autoland: 6
* graphics: 3
* try: 1
* oak: 1

Platform breakdown:
* windows8-64: 12
* windows7-32-vm: 3
* linux32: 3
* osx-10-10: 2
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344486&startday=2017-03-20&endday=2017-03-26&tree=all
49 failures in 845 pushes (0.058 failures/push) were associated with this bug in the last 7 days. 

This is the #33 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 21
* autoland: 12
* try: 9
* mozilla-central: 4
* mozilla-aurora: 3

Platform breakdown:
* osx-10-10: 25
* windows7-32-vm: 16
* windows8-64: 6
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344486&startday=2017-03-27&endday=2017-04-02&tree=all
(Assignee)

Comment 19

2 years ago
Created attachment 8854813 [details] [diff] [review]
check for existence of nomodule and skip tests

as per https://github.com/w3c/web-platform-tests/pull/4611#issuecomment-289125765. I believe this is a solution to this and I validated it works locally.
Assignee: nobody → jmaher
Status: NEW → ASSIGNED
Flags: needinfo?(jmaher)
Attachment #8854813 - Flags: review?(james)
Attachment #8854813 - Flags: feedback?(zcorpan)
Comment on attachment 8854813 [details] [diff] [review]
check for existence of nomodule and skip tests

This patch makes it look like all the tests are passing when in fact they are all failing; that's not acceptable. Making each test assert that nomodule is implemented so it fails when it is not would be better. However I also don't think this patch addresses the underlying problem which is presumably a race condition in the test and so may affect us again when the nomodule attribute is implemented.
Attachment #8854813 - Flags: review?(james) → review-
(Assignee)

Comment 21

2 years ago
Created attachment 8854845 [details] [diff] [review]
fail early for single test, and return failure

thanks for the review :jgraham!  This is a reduced patch to assert_true(false) and set the expected: FAIL for the specific failure.  I have tested this locally- this should reduce the pain for this test.

As to the point of making this test reliable- I agree it would be more ideal;  it is hard to reproduce this locally.
Attachment #8854813 - Attachment is obsolete: true
Attachment #8854813 - Flags: feedback?(zcorpan)
Attachment #8854845 - Flags: review?(james)
Comment on attachment 8854845 [details] [diff] [review]
fail early for single test, and return failure

Review of attachment 8854845 [details] [diff] [review]:
-----------------------------------------------------------------

::: testing/web-platform/tests/html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html
@@ +14,5 @@
> +let myscript = document.createElement('script');
> +if (!('noModule' in myscript)) {
> +    test(() => {
> +        assert_true(false);
> +    }, 'No browser support for noModule, skipping tests in this file');

I think it's less of a double negative if you call the test "browser support noModule" and maybe make it run unconditionally, like

var supportsNoModule = "noModule" in document.getElementsByTagName("script")[0];

test(() => assert_true(supportsNoModule), "Browser supports the noModule attribute");
if (supportsNoModule) {
 […]
}


Or, even better, just change the tests to be

promise_test(() => {
    assert_true(supportsNoModule, "noModule attribute not supported");
    […];
}
Attachment #8854845 - Flags: review?(james)
(Assignee)

Comment 23

2 years ago
Created attachment 8855248 [details] [diff] [review]
assert_true(noModuleSupported) for each check - currently expecting all to fail
Attachment #8854845 - Attachment is obsolete: true
Attachment #8855248 - Flags: review?(james)
Comment on attachment 8855248 [details] [diff] [review]
assert_true(noModuleSupported) for each check - currently expecting all to fail

Thanks! Sorry that something "trivial" took three iterations, but I think we've ended up at the best result.
Attachment #8855248 - Flags: review?(james) → review+

Comment 25

2 years ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/b3873aa392a9
Intermittent TEST-UNEXPECTED-PASS | /html/semantics/scripting-1/the-script-element/nomodule-set-on-async-classic-script.html. fail early if noModule. r=jgraham

Comment 26

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/856ab3a47897
status-firefox54: --- → fixed
Whiteboard: [stockwell needswork] → [stockwell fixed]

Comment 27

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/b3873aa392a9
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
29 failures in 867 pushes (0.033 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 5
* mozilla-central: 5
* try: 4
* oak: 1
* mozilla-aurora: 1

Platform breakdown:
* osx-10-10: 11
* windows7-32-vm: 8
* windows8-64: 6
* linux64: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344486&startday=2017-04-03&endday=2017-04-09&tree=all
You need to log in before you can comment on or make changes to this bug.